SerializerFactory (Other Classes)
Date: 2016-02-03

org.apache.xml.serialize

## Class SerializerFactory

- java.lang.Object
- - org.apache.xml.serialize.SerializerFactory

- Deprecated.
  This class was deprecated in Xerces 2.9.0. It is recommended that new applications use the DOM Level 3 LSSerializer or JAXP's Transformation API for XML (TrAX) for serializing XML and HTML. See the Xerces documentation for more information.

      public abstract class SerializerFactory
      extends java.lang.Object

  Version:
    $Revision: 699892 $ $Date: 2008-09-28 17:08:27 -0400 (Sun, 28 Sep 2008) $
  Author:
    Scott Boag, Assaf Arkin

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FactoriesProperty` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerializerFactory()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SerializerFactory` | `getSerializerFactory(java.lang.String method)` Deprecated. Register a serializer factory, keyed by the given method string.
    `protected abstract java.lang.String` | `getSupportedMethod()` Deprecated. Returns the method supported by this factory and used to register the factory.
    `abstract Serializer` | `makeSerializer(OutputFormat format)` Deprecated. Create a new serializer based on the `OutputFormat`.
    `abstract Serializer` | `makeSerializer(java.io.OutputStream output, OutputFormat format)` Deprecated. Create a new serializer, based on the `OutputFormat` and using the output byte stream and the encoding specified in the output format.
    `abstract Serializer` | `makeSerializer(java.io.Writer writer, OutputFormat format)` Deprecated. Create a new serializer, based on the `OutputFormat` and using the writer as the output character stream.
    `static void` | `registerSerializerFactory(SerializerFactory factory)` Deprecated. Register a serializer factory, keyed by the given method string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FactoriesProperty

          public static final java.lang.String FactoriesProperty

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SerializerFactory

          public SerializerFactory()

      Deprecated.

  - ### Method Detail

    - #### registerSerializerFactory

          public static void registerSerializerFactory(SerializerFactory factory)

      Deprecated.
      Register a serializer factory, keyed by the given method string.

    - #### getSerializerFactory

          public static SerializerFactory getSerializerFactory(java.lang.String method)

      Deprecated.
      Register a serializer factory, keyed by the given method string.

    - #### getSupportedMethod

          protected abstract java.lang.String getSupportedMethod()

      Deprecated.
      Returns the method supported by this factory and used to register the factory. This call is required so factories can be added from a properties file by knowing only the class name. This method is protected, it is only required by this class but must be implemented in derived classes.

    - #### makeSerializer

          public abstract Serializer makeSerializer(OutputFormat format)

      Deprecated.
      Create a new serializer based on the `OutputFormat`. If this method is used to create the serializer, the `Serializer.setOutputByteStream(java.io.OutputStream)` or `Serializer.setOutputCharStream(java.io.Writer)` methods must be called before serializing a document.

    - #### makeSerializer

          public abstract Serializer makeSerializer(java.io.Writer writer,
                                  OutputFormat format)

      Deprecated.
      Create a new serializer, based on the `OutputFormat` and using the writer as the output character stream. If this method is used, the encoding property will be ignored.

    - #### makeSerializer

          public abstract Serializer makeSerializer(java.io.OutputStream output,
                                  OutputFormat format)
                                             throws java.io.UnsupportedEncodingException

      Deprecated.
      Create a new serializer, based on the `OutputFormat` and using the output byte stream and the encoding specified in the output format.
      Throws:
        `java.io.UnsupportedEncodingException` - The specified encoding is not supported

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.